Subject: Re: Device naming for wireless NICs...

From: Tomasz Torcz <[email-masked]>
Date: Thu, 11 Mar 2004 17:36:57 +0100

On Thu, Mar 11, 2004 at 10:28:23AM -0600, James Ketrenos wrote:
> I don't mind adding a module parameter to change the default name (if that 
> is the standard practice), but thought I'd see what others thing rather 
> than just going off and doing something random.

 This could be handled by nameif in userspace.
 
> Is there a technical or ease of use reason switching away from ethX?  My 
> thinking in keeping it eth was that it then represents a greater chance of 
> "just working" with most networking scripts and utilities that may assume 
> ethX is the interface name.

 I personally find them broken. I had to remove checking the name from
ethtool to make it work. Ethtool checks for 'eth' or 'usb' in name,
which do not work with my e1000 renamed to 'ep0'.

-- 
Tomasz Torcz                Only gods can safely risk perfection,     
[email-masked]     it's a dangerous thing for a man.  -- Alia